OGRE: Ogre::RenderQueueListener Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::RenderQueueListener Class Reference

Abstract interface which classes must implement if they wish to receive events from the render queue. More...

`#include <OgreRenderQueueListener.h>`

Inheritance diagram for Ogre::RenderQueueListener:

[legend]
List of all members.

## Public Member Functions

virtual | ~RenderQueueListener ()
virtual void | renderQueueStarted (uint8 queueGroupId, const String &invocation, bool &skipThisInvocation)=0
| Event raised before a queue group is rendered.
virtual void | renderQueueEnded (uint8 queueGroupId, const String &invocation, bool &repeatThisInvocation)=0
| Event raised after a queue group is rendered.

## Detailed Description

Abstract interface which classes must implement if they wish to receive events from the render queue.

Remarks:
  The OGRE render queue is divided into several queue groups, as defined by uint8. A class may implement this interface, and register itself as a listener by calling SceneManager::addRenderQueueListener. After doing so, the class will receive an event before and after each queue group is sent to the rendering system.

  The event listeners have an option to make a queue either be skipped, or to repeat. Note that if multiple listeners are registered, the one registered last has the final say, although options set by previous listeners will not be changed if the latest does not express a preference.

Definition at line 51 of file OgreRenderQueueListener.h.

## Constructor & Destructor Documentation

virtual Ogre::RenderQueueListener::~RenderQueueListener | ( |  | ) | `[virtual]`

| Definition at line 54 of file OgreRenderQueueListener.h.

## Member Function Documentation

virtual void Ogre::RenderQueueListener::renderQueueEnded | ( | uint8 | queueGroupId,
|  | const String & | invocation,
|  | bool & | repeatThisInvocation
| ) | `[pure virtual]`

Event raised after a queue group is rendered.

Remarks:
  This method is called by the SceneManager after each queue group is rendered.

Parameters:

  | queueGroupId | The id of the queue group which has just been rendered
  | invocation | Name of the invocation which is causing this to be called (

See also:
  RenderQueueInvocation)

Parameters:

  | repeatThisInvocation | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue which has just been rendered will be repeated, and the renderQueueStarted and renderQueueEnded events will also be fired for it again.

Implemented in Ogre::CompositorChain::RQListener.

virtual void Ogre::RenderQueueListener::renderQueueStarted | ( | uint8 | queueGroupId,
|  | const String & | invocation,
|  | bool & | skipThisInvocation
| ) | `[pure virtual]`

Event raised before a queue group is rendered.

Remarks:
  This method is called by the SceneManager before each queue group is rendered.

Parameters:

  | queueGroupId | The id of the queue group which is about to be rendered
  | invocation | Name of the invocation which is causing this to be called (

See also:
  RenderQueueInvocation)

Parameters:

  | skipThisInvocation | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue will be skipped and not rendered. Note that in this case the renderQueueEnded event will not be raised for this queue group.

Implemented in Ogre::CompositorChain::RQListener.

The documentation for this class was generated from the following file:

- OgreRenderQueueListener.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:48:00 2008